kdecore Library: KSortableValueList< T, Key > Class Template Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSortableValueList< T, Key > Class Template Reference

KSortableValueList is a special QValueList for KSortableItem. More...

`#include <ksortablevaluelist.h>`

Inheritance diagram for KSortableValueList< T, Key >:

[legend]
Collaboration diagram for KSortableValueList< T, Key >:

[legend]
List of all members.

## Public Member Functions
void | insert (Key i, const T &t)
T & | operator[] (Key i)
const T & | operator[] (Key i) const
void | sort ()

## Detailed Description

### template<class T, class Key = int>
class KSortableValueList< T, Key >

KSortableValueList is a special QValueList for KSortableItem.

It includes convenience operators to get the first value of the KSortableItem and a method to sort all items.

Definition at line 130 of file ksortablevaluelist.h.

## Member Function Documentation

template<class T, class Key = int>
void KSortableValueList< T, Key >::insert | ( | Key | i,
|  | const T & | t
| ) | `[inline]`

  | Insert a KSortableItem with the given values. Parameters:
  | i | the first value
  | t | the second value
Definition at line 138 of file ksortablevaluelist.h.

template<class T, class Key = int>
T& KSortableValueList< T, Key >::operator[] | ( | Key | i | ) | `[inline]`

| Returns the first value of the KSortableItem at the given position. Returns: the first value of the KSortableItem Definition at line 147 of file ksortablevaluelist.h.

template<class T, class Key = int>
const T& KSortableValueList< T, Key >::operator[] | ( | Key | i | ) | const`[inline]`

| Returns the first value of the KSortableItem at the given position. Returns: the first value of the KSortableItem Definition at line 155 of file ksortablevaluelist.h.

template<class T, class Key = int>
void KSortableValueList< T, Key >::sort | ( |  | ) | `[inline]`

| Sorts the KSortableItems. Definition at line 162 of file ksortablevaluelist.h.

The documentation for this class was generated from the following file:

- ksortablevaluelist.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:05 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003